Bug 445105 - Review Request: milkytracker - SDL clone of the Fasttracker II module tracker
Review Request: milkytracker - SDL clone of the Fasttracker II module tracker
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-03 16:14 EDT by Joonas Sarajärvi
Modified: 2008-07-13 09:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-13 09:23:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tcallawa: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Joonas Sarajärvi 2008-05-03 16:14:27 EDT
Spec URL: http://www.ee.oulu.fi/~muep/rpms/milky/milkytracker.spec
SRPM URL: http://www.ee.oulu.fi/~muep/rpms/milky/milkytracker-0.90.80-1.fc9.src.rpm
MilkyTracker is an application for creating music in the .MOD and .XM formats.
Its goal is to be free replacement for the popular Fasttracker II software.
Comment 1 Joonas Sarajärvi 2008-05-03 16:18:03 EDT
I'd like to note that this is the first package that I'm submitting to Fedora. I
am looking for a sponsor to get started with packaging.

About the package: The resulting binary package is quite simple, since it only
ships the executable binary, a .desktop file and an icon.
Comment 2 Mamoru TASAKA 2008-05-12 13:53:54 EDT
For 0.90.80-1:

* SourceURL
  - I recommend to use %{name} and %{version}. With this, you won't
    have to fix the SourceURL when a new version is released.

* Configure option
  - Would you explain why you want to add --without-jack?
    (jack-audio-connection-kit-devel is in Fedora)

* Timestamps
  - When using "install" or "cp" commands, add "-p" option to
    keep timestamps on installed files.

* Macros
  - Use macros properly. /usr/share should be %{_datadir}.

* rpmlint issue
milkytracker-debuginfo.i386: W: spurious-executable-perm
milkytracker-debuginfo.i386: W: spurious-executable-perm
(and many lines)
  - The permissions of the source code files are incorrect, which
    creates lots of debuginfo related rpmlints. Fix this by
%setup -q
find . -name \*.cpp -or -name \*.h | xargs chmod 0644
    for example.

Then as this is a NEEDSPONSOR ticket:
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
(NOTE: please don't choose "Merge Review")

Review guidelines are described mainly on:
Comment 3 Joonas Sarajärvi 2008-05-12 15:36:13 EDT
I've also been notified that the source tarball includes local copies of zlib
and zziplib in the src/compression directory. The author of the software tells
he has modified the libraries to compile cleanly with C++ compilers.

The modifications done to the local zlib aren't very significant, and I could
link against the Fedora-supplied zlib by modifying two Makefile.am files
slightly. The zziplib copy seems more complicated.

I'm now taking care of the issues pointed by Mamoru Tasaka, and also trying to
figure out what to do to the zziplib copy.
Comment 4 Mamoru TASAKA 2008-05-25 08:02:34 EDT
Comment 5 Joonas Sarajärvi 2008-05-26 07:03:55 EDT
New relase:

* Mon May 26 2008 Joonas Sarajärvi <muepsj@gmail.com> - 0.90.80-2
- Set Source0 to use macros for easier updating.
- Removed the --without-jack configuration option.
- Added -p to the cp command to preserve the timestamp.
- Replaced /usr/share with a macro.
- Added a line to prep to set correct permissions for source files extracted
from the tarball.
- Modified a Makefile.am to not compile the included static zlib library.

Sorry for the delay, have been traveling a bit lately.

I am still a bit unsure about what to do with the libs included in the upstream
tarball. The main developer of MilkyTracker wants to have them there for
portability purposes. The included Zlib isn't compiled in this release, but the
zziplib library in Milkytracker seems quite modified to me, and I haven't got MT
to build with Fedora-provided zziplib.
Comment 6 Joonas Sarajärvi 2008-05-26 07:04:57 EDT
Oh, forgot to add the links to the new release:

Spec URL: http://www.ee.oulu.fi/~muep/rpms/milky/milkytracker.spec
SRPM URL: http://www.ee.oulu.fi/~muep/rpms/milky/milkytracker-0.90.80-2.fc9.src.rpm
Comment 7 Mamoru TASAKA 2008-05-30 07:48:51 EDT
Sorry for delay...

(In reply to comment #5)
> * Mon May 26 2008 Joonas Sarajärvi <muepsj@gmail.com> - 0.90.80-2
> - Modified a Makefile.am to not compile the included static zlib library.
> The included Zlib isn't compiled in this release, 

Well, I reviewed your patch, however in fact 
patching against Makefile.am does not do anything, because
configure created Makefile from Makefile.in, not from Makefile.am
and Makefile.in is not automatically regenerated from Makefile.am.

> but the
> zziplib library in Milkytracker seems quite modified to me, 
> and I haven't got MT
> to build with Fedora-provided zziplib.

Would you check the following?

I applied a patch to use system-wide zziplib. milkytracter does not use zlib

Now I will wait for your another review request submit or pre-review
of other person's review request.
Comment 8 Mamoru TASAKA 2008-06-06 08:36:45 EDT
In the case that the above scratch build is removed from koji server,
I uploaded the proposal srpm on the following:

Comment 9 Mamoru TASAKA 2008-06-12 02:06:04 EDT
Comment 10 Joonas Sarajärvi 2008-06-12 16:39:59 EDT
I'm sorry, but I'm not exactly sure about what to check the new release for. 

The new release works for me and I understand the changes in
milkytracker-0.90.80-use-system-library.patch mostly, but I certainly couldn't
have done them myself.

Did you actually modify the configure script yourself, or was it regenerated
after the modifications to configure.in?

If you feel I should read some stuff, I'd like some pointers :-)
Comment 11 Mamoru TASAKA 2008-06-13 13:07:20 EDT
(In reply to comment #10)
> Did you actually modify the configure script yourself, or was it regenerated
> after the modifications to configure.in?

I re-generated configure from modified configure.in.
Well, as I said in comment 2, I am now waiting for your another review
request or your pre-review of other person's review request.
Comment 12 Mamoru TASAKA 2008-06-23 11:38:29 EDT
Comment 13 Joonas Sarajärvi 2008-06-23 14:27:16 EDT
Added an informal review here: https://bugzilla.redhat.com/show_bug.cgi?id=452486
Comment 14 Mamoru TASAKA 2008-06-25 02:55:49 EDT
Well, would you do a pre-review for packages which all BuildRequires
are already available on Fedora? The review request you commented
depends on another package which does not build on rawhide for now
so I cannot check if your pre-review is proper.
Comment 15 Mamoru TASAKA 2008-07-07 02:50:57 EDT
Comment 16 Joonas Sarajärvi 2008-07-08 16:52:51 EDT
Reviewed a simple font package:

Sorry for the delay, had a bit of trouble finding something suitable for review,
though maybe I should just be more courageous on trying some more difficult

Would it also help to post another package here besides milkytracker? I would be
interested to also get crrcsim ( http://crrcsim.sourceforge.net/ ) into Fedora,
and I have already packaged it a few times for myself.
Comment 17 Mamoru TASAKA 2008-07-09 09:42:46 EDT
Well, okay.

      This package (milkytracker) is APPROVED by me

Please follow the procedure written on:
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 8/9, you also have
to look at
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 18 Mamoru TASAKA 2008-07-09 12:00:37 EDT
Now I am sponsoring you. Please follow "Join" wiki again.
Comment 19 Joonas Sarajärvi 2008-07-09 17:15:00 EDT
Thanks for your patience, Mamoru Tasaka :-)

Yes, I am requesting sponsorship, if this note is still necessary. 

I am currently a bit overwhelmed by the new pieces of infrastructure, but I
guess it'll help after looking at them for a while.

Since Milkyrtacker works nicely on both Fedora 8 and Fedora 9, I think it would
be nice to attemt getting it available there.

Thank you for your assistance, hope to get to be a bit more active in the future...
Comment 20 Joonas Sarajärvi 2008-07-09 17:31:09 EDT
I am now at the Add Package to CVS and Set Owner stage, and going through this:

Just want to verify that I should use this bug report as the place to post my
CVS administration request. Did I get it right?
Comment 21 Hans Ulrich Niedermann 2008-07-09 18:01:56 EDT
Yes. At least it worked for me :-)
Comment 22 Mamoru TASAKA 2008-07-09 23:03:55 EDT
(In reply to comment #20)
> Just want to verify that I should use this bug report as the place to post my
> CVS administration request. Did I get it right?

Yes. Write CVS request on this bug.
Comment 23 Joonas Sarajärvi 2008-07-10 01:41:21 EDT
OK, I'll do that probably later today, after work.
Comment 24 Joonas Sarajärvi 2008-07-10 12:41:59 EDT
New Package CVS Request
Package Name: milkytracker
Short Description: Module tracker software for creating music
Owners: muep
Branches: F-8 F-9
Cvsextras Commits: Yes
Comment 25 Joonas Sarajärvi 2008-07-10 14:02:15 EDT
Oops. forgot to set the fedora-cvs flag. Setting it now.
Comment 26 Tom "spot" Callaway 2008-07-10 17:09:45 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.